Bug 137253 - [CSS Grid Layout] Pass the valid set of tracks to grow beyond growth limits
Summary: [CSS Grid Layout] Pass the valid set of tracks to grow beyond growth limits
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: New Bugs (show other bugs)
Version: 528+ (Nightly build)
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Sergio Villar Senin
URL:
Keywords:
Depends on:
Blocks: 60731
  Show dependency treegraph
 
Reported: 2014-09-30 08:31 PDT by Sergio Villar Senin
Modified: 2014-12-29 14:43 PST (History)
8 users (show)

See Also:


Attachments
Patch (17.42 KB, patch)
2014-09-30 08:38 PDT, Sergio Villar Senin
darin: review+
Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Sergio Villar Senin 2014-09-30 08:31:09 PDT
[CSS Grid Layout] Pass the valid set of tracks to grow beyond growth limits
Comment 1 Sergio Villar Senin 2014-09-30 08:38:23 PDT
Created attachment 238927 [details]
Patch
Comment 2 Darin Adler 2014-10-03 09:07:18 PDT
Comment on attachment 238927 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=238927&action=review

> Source/WebCore/rendering/RenderGrid.cpp:584
> +void RenderGrid::resolveContentBasedTrackSizingFunctionsForItems(GridTrackSizingDirection direction, GridSizingData& sizingData, GridItemWithSpan& gridItemWithSpan, FilterFunction filterFunction, SizingFunction sizingFunction, AccumulatorGetter trackGetter, AccumulatorGrowFunction trackGrowthFunction, FilterFunction growAboveMaxBreadthFilterFunction)

Iā€™m concerned that the extensive use of pointers to member function for these functions is an inefficient design pattern. But this is only a suspicion, not something I am certain about.
Comment 3 Sergio Villar Senin 2014-10-13 01:44:34 PDT
Committed r174643: <http://trac.webkit.org/changeset/174643>